<?php
include_once('./_common.php');

if (!$board['bo_table']) {
   die('존재하지 않는 게시판입니다.');
}

if(AMINA) check_device($board['bo_device']);

if (isset($write['wr_is_comment']) && $write['wr_is_comment']) {
    die('특정 댓글을 바로 볼 수는 없습니다.');
}

if (!$bo_table) {
    die('bo_table 값이 넘어오지 않았습니다.');
}

// wr_id 값이 있으면 글읽기
if (isset($wr_id) && $wr_id) {
    // 글이 없을 경우 해당 게시판 목록으로 이동
    if (!$write['wr_id']) {
        die('글이 존재하지 않습니다.');
    }

    // 그룹접근 사용
    if (isset($group['gr_use_access']) && $group['gr_use_access']) {
        if ($is_guest) {
	        die('비회원은 이 게시판에 접근할 권한이 없습니다.');
        }

        // 그룹관리자 이상이라면 통과
        if ($is_admin == "super" || $is_admin == "group") {
            ;
        } else {
            // 그룹접근
            $sql = " select count(*) as cnt from {$g5['group_member_table']} where gr_id = '{$board['gr_id']}' and mb_id = '{$member['mb_id']}' ";
            $row = sql_fetch($sql);
            if (!$row['cnt']) {
		        die('접근 권한이 없으므로 댓글읽기가 불가합니다.');
			}
        }
    }

    // 로그인된 회원의 권한이 설정된 읽기 권한보다 작다면
    if ($member['mb_level'] < $board['bo_read_level']) {
        die('댓글을 읽을 권한이 없습니다.');
    }

    // 휴대폰 본인확인을 사용한다면
    if ($config['cf_kcpcert_use'] != '' && !$is_admin) {
        // 인증된 회원만 가능
        if ($board['bo_use_cert'] != '' && $is_guest) {
	        die('이 게시판은 휴대폰 본인확인 하신 회원님만 댓글읽기가 가능합니다.');
        }

        if ($board['bo_use_cert'] == 'cert' && !$member['mb_hp_certfy']) {
	        die('이 게시판은 휴대폰 본인확인 하신 회원님만 댓글읽기가 가능합니다.');
        }

        if ($board['bo_use_cert'] == 'adult' && !$member['mb_adult']) {
	        die('이 게시판은 휴대폰 본인확인으로 성인인증 된 회원님만 댓글읽기가 가능합니다.');
        }
    }

    // 자신의 글이거나 관리자라면 통과
    if (($write['mb_id'] && $write['mb_id'] == $member['mb_id']) || $is_admin) {
        ;
    } else {
        // 비밀글이라면
        if (strstr($write['wr_option'], "secret"))
        {
            // 회원이 비밀글을 올리고 관리자가 답변글을 올렸을 경우
            // 회원이 관리자가 올린 답변글을 바로 볼 수 없던 오류를 수정
            $is_owner = false;
            if ($write['wr_reply'] && $member['mb_id'])
            {
                $sql = " select mb_id from {$write_table}
                            where wr_num = '{$write['wr_num']}'
                            and wr_reply = ''
                            and wr_is_comment = 0 ";
                $row = sql_fetch($sql);
                if ($row['mb_id'] == $member['mb_id'])
                    $is_owner = true;
            }

            $ss_name = 'ss_secret_'.$bo_table.'_'.$write['wr_num'];

            if (!$is_owner)
            {
                //$ss_name = "ss_secret_{$bo_table}_{$wr_id}";
                // 한번 읽은 게시물의 번호는 세션에 저장되어 있고 같은 게시물을 읽을 경우는 다시 패스워드를 묻지 않습니다.
                // 이 게시물이 저장된 게시물이 아니면서 관리자가 아니라면
                //if ("$bo_table|$write['wr_num']" != get_session("ss_secret"))
                if (!get_session($ss_name))
                    goto_url(G5_BBS_URL.'/password.php?w=s&bo_table='.$bo_table.'&wr_id='.$wr_id.$qstr);
            }

            set_session($ss_name, TRUE);
        }
    }

    // 한번 읽은글은 브라우저를 닫기전까지는 카운트를 증가시키지 않음
    $ss_name = 'ss_view_'.$bo_table.'_'.$wr_id;
    if (!get_session($ss_name))
    {
        sql_query(" update {$write_table} set wr_hit = wr_hit + 1 where wr_id = '{$wr_id}' ");

        // 자신의 글이면 통과
        if ($write['mb_id'] && $write['mb_id'] == $member['mb_id']) {
            ;
        } else if ($is_guest && $board['bo_read_level'] == 1 && $write['wr_ip'] == $_SERVER['REMOTE_ADDR']) {
            // 비회원이면서 읽기레벨이 1이고 등록된 아이피가 같다면 자신의 글이므로 통과
            ;
        } else {
            // 글읽기 포인트가 설정되어 있다면
            if ($board['bo_read_point'] && $member['mb_point'] + $board['bo_read_point'] < 0)
                die('보유하신 MP('.number_format($member['mb_point']).')가 없거나 모자라서 글읽기('.number_format($board['bo_read_point']).')가 불가해 댓글을 볼 수 없습니다.');

            insert_point($member['mb_id'], $board['bo_read_point'], "{$board['bo_subject']} {$wr_id} 글읽기", $bo_table, $wr_id, '읽기');
        }

        set_session($ss_name, TRUE);
    }

    $g5['title'] = $g4['title'] = strip_tags(conv_subject($write['wr_subject'], 255))." > ".$board['bo_subject'];
} else {
    if ($member['mb_level'] < $board['bo_list_level']) {
        if ($member['mb_id'])
            die('목록을 볼 권한이 없습니다.');
        else
            die('목록을 볼 권한이 없습니다.');
    }

    if (!isset($page) || (isset($page) && $page == 0)) $page = 1;

    $g5['title'] = $g4['title'] = $board['bo_subject']." ".$page." 페이지";
}

$width = $board['bo_table_width'];
if ($width <= 100)
    $width .= '%';
else
    $width .='px';

// IP보이기 사용 여부
$ip = "";
$is_ip_view = $board['bo_use_ip_view'];
if ($is_admin) {
    $is_ip_view = true;
    $ip = $write['wr_ip'];
} else {
    // 관리자가 아니라면 IP 주소를 감춘후 보여줍니다.
    $ip = preg_replace("/([0-9]+).([0-9]+).([0-9]+).([0-9]+)/", "\\1.♡.\\3.\\4", $write['wr_ip']);
}

// 분류 사용
$is_category = false;
$category_name = '';
if ($board['bo_use_category']) {
    $is_category = true;
    $category_name = $write['ca_name']; // 분류명
}

// 추천 사용
$is_good = false;
if ($board['bo_use_good'])
    $is_good = true;

// 비추천 사용
$is_nogood = false;
if ($board['bo_use_nogood'])
    $is_nogood = true;

// 댓글 이동
$cmt_href = AMINA_URL.'/cmt.php?bo_table='.$bo_table.'&wr_id='.$wr_id.'&frame=ok';
if($token) $cmt_href .= '&token='.$token;
$cmt_url = $cmt_href.'&first_view=no&go_url='.urlencode($cmt_href);

include_once(G5_PATH.'/head.sub.php');

include_once (AMINA_PATH.'/iframe.head.php');

if(AMINA) {

	include_once(G5_BBS_PATH.'/view_comment.php');

} else { //G5 일때 경로 경문제로 전체 코드 다 넣음.ㅠㅠ

	echo '<script type="text/javascript" src="'.G5_JS_URL.'/sideview.js"></script>'."\n";

	@include_once($board_skin_path.'/view_comment.head.skin.php');

	// 자동등록방지
	include_once (G5_BBS_PATH.'/norobot.inc.php');

	// 코멘트를 새창으로 여는 경우 세션값이 없으므로 생성한다.
	if ($is_admin && !$token) {
	    set_session("ss_delete_token", $token = uniqid(time()));
	}

	$list = array();

	$is_comment_write = false;
	if ($member['mb_level'] >= $board['bo_comment_level']) 
	    $is_comment_write = true;

	// 코멘트 출력
	//$sql = " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment desc, wr_comment_reply ";
	$sql = " select * from $write_table where wr_parent = '$wr_id' and wr_is_comment = 1 order by wr_comment, wr_comment_reply ";
	$result = sql_query($sql);
	for ($i=0; $row=sql_fetch_array($result); $i++) {
	    $list[$i] = $row;
	    //$list[$i][name] = get_sideview($row[mb_id], cut_str($row[wr_name], 20, ''), $row[wr_email], $row[wr_homepage]);
	    $tmp_name = get_text(cut_str($row['wr_name'], $config['cf_cut_name'])); // 설정된 자리수 만큼만 이름 출력
	    if ($board['bo_use_sideview'])
	        $list[$i]['name'] = get_sideview($row['mb_id'], $tmp_name, $row['wr_email'], $row['wr_homepage']);
	    else
		    $list[$i]['name'] = "<span class='".($row['mb_id']?'member':'guest')."'>$tmp_name</span>";


	    // 공백없이 연속 입력한 문자 자르기 (way 보드 참고. way.co.kr)
	    //$list[$i][content] = eregi_replace("[^ \n<>]{130}", "\\0\n", $row[wr_content]);

	    $list[$i]['content'] = $list[$i]['content1']= "비밀글 입니다.";
	    if (!strstr($row['wr_option'], "secret") ||
	        $is_admin || 
		    ($write['mb_id']==$member['mb_id'] && $member['mb_id']) || 
	        ($row['mb_id']==$member['mb_id'] && $member['mb_id'])) {
		    $list[$i]['content1'] = $row['wr_content'];
	        $list[$i]['content'] = conv_content($row['wr_content'], 0, 'wr_content');
		    $list[$i]['content'] = search_font($stx, $list[$i]['content']);
	    }

	    $list[$i]['trackback'] = url_auto_link($row['wr_trackback']);
		$list[$i]['datetime'] = substr($row['wr_datetime'],2,14);

	    // 관리자가 아니라면 중간 IP 주소를 감춘후 보여줍니다.
		$list[$i]['ip'] = $row['wr_ip'];
	    if (!$is_admin)
	        $list[$i]['ip'] = preg_replace("/([0-9]+).([0-9]+).([0-9]+).([0-9]+)/", "\\1.♡.\\3.\\4", $row['wr_ip']);

	    $list[$i]['is_reply'] = false;
		$list[$i]['is_edit'] = false;
	    $list[$i]['is_del']  = false;
		if ($is_comment_write || $is_admin) {
	        if ($member['mb_id']) {
	            if ($row['mb_id'] == $member['mb_id'] || $is_admin) {
	                $list[$i]['del_link']  = G5_BBS_URL."/delete_comment.php?bo_table=$bo_table&comment_id=$row[wr_id]&token=$token&cwin=$cwin&page=$page".$qstr;
		            $list[$i]['is_edit']   = true;
			        $list[$i]['is_del']    = true;
	            }
		    } else {
	            if (!$row['mb_id']) {
		            $list[$i]['del_link'] = G5_BBS_URL."/password.php?w=x&bo_table=$bo_table&comment_id=$row[wr_id]&cwin=$cwin&page=$page".$qstr;
			        $list[$i]['is_del']   = true;
	            }
		    }

			if (strlen($row['wr_comment_reply']) < 5)
	            $list[$i]['is_reply'] = true;
	    }

	    // 05.05.22
		// 답변있는 코멘트는 수정, 삭제 불가
	    if ($i > 0 && !$is_admin) {
	        if ($row['wr_comment_reply']) {
	            $tmp_comment_reply = substr($row['wr_comment_reply'], 0, strlen($row['wr_comment_reply']) - 1);
		        if ($tmp_comment_reply == $list[$i-1]['wr_comment_reply']) {
	                $list[$i-1]['is_edit'] = false;
		            $list[$i-1]['is_del'] = false;
			    }
	        }
	    }
	}

	//  코멘트수 제한 설정값
	if ($is_admin) {
	    $comment_min = $comment_max = 0;
	} else {
	    $comment_min = (int)$board['bo_comment_min'];
		$comment_max = (int)$board['bo_comment_max'];
	}

	include_once($board_skin_path.'/view_comment.skin.php');

	if (!$member['mb_id']) // 비회원일 경우에만
	    echo '<script type="text/javascript" src="'.G5_JS_URL.'/md5.js"></script>'."\n";

	@include_once($board_skin_path.'/view_comment.tail.skin.php');
}

include_once(AMINA_PATH.'/iframe.tail.php');
include_once(G5_PATH.'/tail.sub.php');

?>